#ifndef CLANMEMBER_HPP_INCLUDED
#define CLANMEMBER_HPP_INCLUDED

#include "Talkable.hpp"
#include "../JavaClass/Class.hpp"
#include <cstdint>

namespace Internal
{
    class ClanMember : public Talkable
    {
        public:
            ClanMember(const void* Obj);

            ClanMember() = default;
            ClanMember(ClanMember&& Obj) = default;
            ClanMember(const ClanMember& Obj) = default;
            ClanMember& operator=(ClanMember&& Obj) = default;
            ClanMember& operator=(const ClanMember& Obj) = default;

            static Class GetClass();

    };
}

#endif // CLANMEMBER_HPP_INCLUDED
